<?php
if (!defined('ROOT'))
	exit ;
?>
<!DOCTYPE html>
<html>

	<head>
		<title>邮箱绑定</title>
		<meta name="description" content="">
		<meta name="keywords" content="">
		<?php
		include 'Inc_files.php';
		?>
		<link rel="stylesheet" type="text/css" href="/static/member/css/wap.1.0.0.css?v=20171117">
	</head>

	<body data-type="index">
		<script src="<?php echo C('TMPL_PARSE_STRING.__TPL__'); ?>/assets/js/theme.js"></script>
		<div class="am-g tpl-g">
			<?php include 'Inc_head.php'?>
			<!-- 侧边导航栏 -->
			<?php
				include 'Inc_left.php';
			?>
			<!-- 内容区域 -->
			<div class="tpl-content-wrapper">
				<div class="row-content am-cf">
					<div class="row">
	                    <div class="am-u-sm-12 am-u-md-12 am-u-lg-12">
	                        <div class="widget am-cf">
	                            <div class="widget-head am-cf">
	                                <div class="widget-title am-fl">邮箱绑定 </span></div>
	                            </div>
	                            <div class="widget-body am-fr">
	                                <form  class="am-form tpl-form-border-form tpl-form-border-br">
	                                	<input type="hidden" name="emailold" value="<?php echo I('emailold');?>" />
	                                	<input type="hidden" name="email_code_old" value="<?php echo I('email_code_old');?>" />
	                                    <div class="am-form-group">
	                                        <label for="user-name" class="am-u-sm-3 am-form-label">邮箱 </label>
	                                        <div class="am-u-sm-9">
	                                            <input type="email"  name="email" style="width: 300px;" class="tpl-form-input" >
	                                            <small></small>
	                                        </div>
	                                    </div>
	                                    <div class="am-form-group">
	                                        <label for="user-name" class="am-u-sm-3 am-form-label">邮箱验证码 </label>
	                                        <div class="am-u-sm-9">
	                                            <input type="text" maxlength="18" required="required"  name="email_code" style="width: 100px; float: left;" class="tpl-form-input" > <a style="float: left; padding-bottom: 8px; margin-left: 10px;" class="am-btn am-btn-danger am-btn-sm btn_email_code">获取验证码</a>
	                                            <small></small>
	                                        </div>
	                                    </div>
	                                    <div class="am-form-group">
	                                        <div class="am-u-sm-9 am-u-sm-push-3">
	                                            <button type="button" class="am-btn am-btn-primary tpl-btn-bg-color-success btn_submit">
	                                            	提交
	                                            </button>
	                                        </div>
	                                    </div>
	                                </form>
	                            </div>
	                        </div>
	                    </div>
	                </div>
				</div>
			</div>
		</div>
		<?php
		include 'Inc_files_boot.php';
		?>
		<script type="text/javascript">
		jQuery(document).on('click','.btn_submit',function () {
		    var the=jQuery(this);
		    if (jQuery('[name="email_code"]').val()=='') {
		    	wd_alert({msg:'邮箱验证码不能为空',background:'#f00'});
		    	return false;
		    }
		    jQuery.ajax({
		    	url:"/member/email",
		        data:the.closest('form').serializeArray(),
		        dataType: "json",
		        type: "post",
		        timeout: 10000,
		        success: function(data) {
		        	if (data.status==1) {
		        		location.href='/member/safeinfo';
		        	}else{
		        		wd_alert({msg:data.info,background:'#f00'})
		        	}
		        },
		        error: function() {
		        }
		    });          
		});
		jQuery(document).on('click','.btn_email_code',function () {
		    var the=jQuery(this);
		    if (jQuery('[name="email"]').val()=='') {
		    	wd_alert({msg:'邮箱不能为空',background:'#f00'});
		    	return false;
		    }
		    var i=59;
		    if (the.html()=='获取验证码') {
		    	jQuery.ajax({
			    	url:"/api/email_bind_code",
			        data:{
			        	email:jQuery('[name="email"]').val()
			        },
			        dataType: "json",
			        type: "post",
			        timeout: 10000,
			        success: function(data) {
			        	if (data.status==1) {
	        	    		the.html('已获取'+i+'秒');
			        		var cl=setInterval(function () {
			        			i--;
				        		the.html('已获取'+i+'秒');
				        		if (i<0) {
				        			clearInterval(cl);
				        			the.html('获取验证码');
				        		}
				        	},1000);
	        	    	}else{
	        	    		wd_alert({
	        	    			msg:data.info,
	        	    			background:'#f00'
	        	    		});
	        	    	}
			        },
			        error: function() {
			            mui.toast("网络连接超时");
			        }
			    });
		    }
		              
		})
		</script>
	</body>

</html>